{"openapi":"3.0.1","info":{"title":"E-BCAS-AUTH","description":"e-Bacs Admin API","contact":{"name":"Goutam Kumar","email":"gautam@vartulz.com"},"license":{"name":"Vartulz Technology Private Limited","url":"https://vartulz.com"}},"servers":[{"url":"http://127.0.0.1:9050/","description":"DEV"},{"url":"https://93fa-122-160-63-37.ngrok-free.app/","description":"DEV"},{"url":"https://authbackint.mykumpany.com/","description":"UAT"}],"paths":{"/auth/state/update/newstate":{"put":{"tags":["state-_-controller"],"operationId":"updateState","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_State"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/division/update/newdivision":{"put":{"tags":["division-_-controller"],"operationId":"updatedivision","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Division"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/designation/update/newdesignation":{"put":{"tags":["designation-_-controller"],"operationId":"updatedesignation","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Designation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airtype/update/newairtype":{"put":{"tags":["airport-type-controller"],"operationId":"updateCategory","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_AirType"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/aircategory/update/newaircategory":{"put":{"tags":["airport-category-controller"],"operationId":"updateCategory_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Airport_Category"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/create/tempentity":{"post":{"tags":["temp-entity-controller"],"operationId":"createTempEntity","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TempEntityRegRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/zone/update/zone":{"post":{"tags":["zone-controller"],"operationId":"updateZone","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ZoneRequestbody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/zone/create/newzone":{"post":{"tags":["zone-controller"],"operationId":"createZone","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ZoneRequestbody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/user/user":{"post":{"tags":["login-controller"],"operationId":"getLogin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/user/user/new":{"post":{"tags":["login-controller"],"operationId":"getLoginNew","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/state/create/newstate":{"post":{"tags":["state-_-controller"],"operationId":"createState","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_State"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/staff/master/upload/pdf":{"post":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"uploadPdf","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/update/master":{"post":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"updateMaster","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bcass_Staff_Master_Request_Body"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/login":{"post":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"loginStaffMaster","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Admin_LogIn_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/create/master":{"post":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"createMaster","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bcass_Staff_Master_Request_Body"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/change/password":{"post":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"changePassword","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"newPassword","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/secprogram/type/update":{"post":{"tags":["security-program-type-controller"],"operationId":"update","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityProgramTypeRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/secprogram/type/create":{"post":{"tags":["security-program-type-controller"],"operationId":"create","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityProgramTypeRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/organization/user/login":{"post":{"tags":["organization-_-controller"],"operationId":"organizationUserLogin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Admin_LogIn_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/organization/user/change/password":{"post":{"tags":["organization-_-controller"],"operationId":"changeOrganizationUserPassword","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/organization/create":{"post":{"tags":["organization-_-controller"],"operationId":"createOrganization","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/organization/create/user":{"post":{"tags":["organization-_-controller"],"operationId":"createOrganizationUser","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationUserRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/notification/create/notification":{"post":{"tags":["notification-controller"],"operationId":"createNewNotification","parameters":[{"name":"data","in":"query","required":true,"schema":{"type":"string"}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/module/master/update/module":{"post":{"tags":["module-_-master-_-controller"],"operationId":"updateModule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModuleMaster_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/update/mapping":{"post":{"tags":["mapping-master-_-controller"],"operationId":"updateModule_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MappingMaster_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/create/module":{"post":{"tags":["module-_-master-_-controller"],"operationId":"createModule","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModuleMaster_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/create/mapping":{"post":{"tags":["mapping-master-_-controller"],"operationId":"createModule_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MappingMaster_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/entity/update":{"post":{"tags":["entity-_-controller"],"operationId":"updateEntity","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/update/status":{"post":{"tags":["entity-_-controller"],"operationId":"updateEntityStatus","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}},{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/update/profile":{"post":{"tags":["entity-_-controller"],"operationId":"updateEntityProfile","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"body","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"panProof":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/update/form/status":{"post":{"tags":["entity-_-controller"],"operationId":"updateFormStatus","parameters":[{"name":"formUrl","in":"query","required":true,"schema":{"type":"string"}},{"name":"formType","in":"query","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/create/entity":{"post":{"tags":["entity-_-controller"],"operationId":"createEntity","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entity_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/change/status":{"post":{"tags":["entity-_-controller"],"operationId":"changeStatus","parameters":[{"name":"email","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/change/password":{"post":{"tags":["entity-_-controller"],"operationId":"changePassword_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"newPassword","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/division/create/newdivision":{"post":{"tags":["division-_-controller"],"operationId":"createDivision","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Division"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/designation/create/newdesignation":{"post":{"tags":["designation-_-controller"],"operationId":"createDesignation","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Designation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/complaint/reply":{"post":{"tags":["COMPLAINT CONTROLLER"],"operationId":"replyOnComplaint","parameters":[{"name":"remarks","in":"query","required":true,"schema":{"type":"string"}},{"name":"role","in":"query","required":true,"schema":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]}},{"name":"id","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["IN_PROGRESS","RESOLVED"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/reply/token":{"post":{"tags":["COMPLAINT CONTROLLER"],"operationId":"replyOnComplaintForToken","parameters":[{"name":"remarks","in":"query","required":true,"schema":{"type":"string"}},{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/create":{"post":{"tags":["COMPLAINT CONTROLLER"],"operationId":"createComplaint","parameters":[{"name":"remarks","in":"query","required":true,"schema":{"type":"string"}},{"name":"role","in":"query","required":true,"schema":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/create/nologin":{"post":{"tags":["COMPLAINT CONTROLLER"],"operationId":"createComplaintWithOutLoing","parameters":[{"name":"detailedRemarks","in":"query","required":true,"schema":{"type":"string"}},{"name":"entityRegEmail","in":"query","required":true,"schema":{"type":"string"}},{"name":"entitySortNote","in":"query","required":true,"schema":{"type":"string"}},{"name":"companyName","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/change/password/send/mail":{"post":{"tags":["password-change-controller"],"operationId":"changePasswordMail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/forgetPasswordRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/change/password/newpassword":{"post":{"tags":["password-change-controller"],"operationId":"changePassword_2","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airtype/create/newairtype":{"post":{"tags":["airport-type-controller"],"operationId":"createAirportCategory","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_AirType"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/update/airmaster":{"post":{"tags":["airport-_-master-_-controller"],"operationId":"updateMaster_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Airport_Master_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/login":{"post":{"tags":["airport-_-master-_-controller"],"operationId":"loginAirportMaster","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Airport_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/create/airport/entity":{"post":{"tags":["airport-_-master-_-controller"],"operationId":"createAirportAndEntity","parameters":[{"name":"airport","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entity_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/create/airmaster":{"post":{"tags":["airport-_-master-_-controller"],"operationId":"createNewMaster","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Airport_Master_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/change/password":{"post":{"tags":["airport-_-master-_-controller"],"operationId":"changeAirportPassword","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/aircategory/create/newaircategory":{"post":{"tags":["airport-category-controller"],"operationId":"createAirportCategory_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tbl_Airport_Category"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/login":{"post":{"tags":["admin-_-controller"],"operationId":"loginAdmin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Admin_LogIn_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/create":{"post":{"tags":["admin-_-controller"],"operationId":"createAdmin","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Admin_RequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/change/password":{"post":{"tags":["admin-_-controller"],"operationId":"changePassword_3","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/zone/get/allzone":{"get":{"tags":["zone-controller"],"operationId":"getAllZONE","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/zone/delete/zone/{id}":{"get":{"tags":["zone-controller"],"operationId":"deleteZone","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"active","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/user/logout":{"get":{"tags":["login-controller"],"operationId":"logout","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/state/get/allstate":{"get":{"tags":["state-_-controller"],"operationId":"getAllState","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/state/block/state/{id}":{"get":{"tags":["state-_-controller"],"operationId":"blockCategory","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/logout":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"logoutUser","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/getAll":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getAllMaster","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/get/zone/{zone}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getByZone","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"zone","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/get/uploaded/document":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getUploadedDocument","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/get/id/{id}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getById","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/get/designation/{designation}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getByDesignation","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"designation","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/findby/{key}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getByEmail","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/fetch/modules":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"getModules","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/delete/master/{id}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"deleteMaster","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/staff/master/block/{id}":{"get":{"tags":["bcas-_-staff-_-master-_-controller"],"operationId":"block","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"satus","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/secprogram/type/getall":{"get":{"tags":["security-program-type-controller"],"operationId":"getAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/notification/get/notification/members":{"get":{"tags":["notification-controller"],"operationId":"getNotificationMembers","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"emailId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/notification/get/notification/admin":{"get":{"tags":["notification-controller"],"operationId":"getAdminNotification","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"enums","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/notification/get/notification/admin/act/{notid}":{"get":{"tags":["notification-controller"],"operationId":"getAdminNotificationActibe","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"enums","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}},{"name":"notid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/module/master/getall/mapping":{"get":{"tags":["mapping-master-_-controller"],"operationId":"getAllMapping","parameters":[{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/getAll":{"get":{"tags":["module-_-master-_-controller"],"operationId":"getAllModule","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/get/name/{name}":{"get":{"tags":["module-_-master-_-controller"],"operationId":"getByName","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/get/mapping{id}":{"get":{"tags":["mapping-master-_-controller"],"operationId":"getById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/get/mappingby/name":{"get":{"tags":["mapping-master-_-controller"],"operationId":"getByKey","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/delete/mapping":{"get":{"tags":["mapping-master-_-controller"],"operationId":"deleteMapping","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/entity/get/profile":{"get":{"tags":["entity-_-controller"],"operationId":"getEntityProfile","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/get/loginstatus":{"get":{"tags":["entity-_-controller"],"operationId":"getLoginFirstTimeStatus","parameters":[{"name":"email","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/entity/get/airport":{"get":{"tags":["entity-_-controller"],"operationId":"getAirportBY","parameters":[{"name":"csoemail","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/entity/change/loginstatus":{"get":{"tags":["entity-_-controller"],"operationId":"changeLoginFirstTimeStatus","parameters":[{"name":"email","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/division/get/alldivision":{"get":{"tags":["division-_-controller"],"operationId":"getAllDivision","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/division/block/division/{id}":{"get":{"tags":["division-_-controller"],"operationId":"blockDivision","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/designation/get/alldesignation":{"get":{"tags":["designation-_-controller"],"operationId":"getAllDesignation","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/auth/designation/block/designation/{id}":{"get":{"tags":["designation-_-controller"],"operationId":"blockDesignation","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/getall/complaint":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getAllComplaint","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/getall/chats/by/token":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getAllChatToken","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/getall/chats/by/complaint":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getAllChat","parameters":[{"name":"id","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/getall/chats/by/complaintId":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getAllChatbyComplaintID","parameters":[{"name":"complaintId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/get/complaint":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getComplaintByToken","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"role","in":"query","required":true,"schema":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/complaint/get/by/status":{"get":{"tags":["COMPLAINT CONTROLLER"],"operationId":"getByStatus","parameters":[{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["IN_PROGRESS","RESOLVED"]}},{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/captcha/create/captcha":{"get":{"tags":["captcha-controller"],"operationId":"createNewCaptcha","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airtype/get/allairtype":{"get":{"tags":["airport-type-controller"],"operationId":"getALlCategory","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airtype/block/airtype/{id}":{"get":{"tags":["airport-type-controller"],"operationId":"blockCategory_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/redirect":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"redirectToRegisterPage","responses":{"200":{"description":"OK"}}}},"/auth/airport/master/logout":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"logoutUser_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/getall/airmaster":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"getAllMaster_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/get/name/{airportName}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"getByName_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"airportName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/get/id/{id}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"getById_2","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/get/airportType/{airportType}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"getByType","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"airportType","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/get/airportCategory/{airportCategory}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"getByCategory","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"airportCategory","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/findby/{key}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"findByKey","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/airport/master/delete/airport/{id}":{"get":{"tags":["airport-_-master-_-controller"],"operationId":"deleteMaster_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"active","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/aircategory/get/allaircategory":{"get":{"tags":["airport-category-controller"],"operationId":"getALlCategory_1","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/aircategory/block/aircategory/{id}":{"get":{"tags":["airport-category-controller"],"operationId":"blockCategory_2","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["TRUE","FALSE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/logout":{"get":{"tags":["admin-_-controller"],"operationId":"logoutAdmin","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/getall/entity":{"get":{"tags":["admin-_-controller"],"operationId":"getAllEntity","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/getall/entity/count":{"get":{"tags":["admin-_-controller"],"operationId":"getAllEntityCount","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/getall/entity/all/count":{"get":{"tags":["admin-_-controller"],"operationId":"getAdminAllEntityCount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/admin/getall/entity/airport":{"get":{"tags":["admin-_-controller"],"operationId":"getAllEntityAirport","parameters":[{"name":"X-AUTH-TOKEN","in":"header","required":true,"schema":{"type":"string"}},{"name":"airport","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"category","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}},"/auth/module/master/delete/module/{id}":{"delete":{"tags":["module-_-master-_-controller"],"operationId":"deleteModule","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APIResponse"}}}}}}}},"components":{"schemas":{"Tbl_State":{"type":"object","properties":{"stateId":{"type":"integer","format":"int64"},"stateName":{"type":"string"},"blockStatus":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"}}},"APIResponse":{"type":"object","properties":{"status_code":{"type":"integer","format":"int32"},"message":{"type":"string"},"permission":{"type":"object"},"data":{"type":"object"},"uniqueRequestId":{"type":"string"},"totalPage":{"type":"integer","format":"int64"},"page":{"type":"integer","format":"int64"}}},"Tbl_Division":{"type":"object","properties":{"divisionId":{"type":"integer","format":"int64"},"divisionName":{"type":"string"},"blockStatus":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"}}},"Tbl_Designation":{"type":"object","properties":{"designationName":{"type":"string"},"blockStatus":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"}}},"Tbl_AirType":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"airportType":{"type":"string"},"blockStatus":{"type":"string"}}},"Tbl_Airport_Category":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"airportCategory":{"type":"string"},"blockStatus":{"type":"string"}}},"TempEntityRegRequestBody":{"type":"object","properties":{"emailId":{"type":"string"},"applicantType":{"type":"string"},"nameOfCompany":{"type":"string"},"nameOfPerson":{"type":"string"},"designation":{"type":"string"},"csoName":{"type":"string"},"csoEmail":{"type":"string"},"csoMobileNo":{"type":"string"}}},"ZoneRequestbody":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"zoneName":{"type":"string"}}},"LoginRequestBody":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"},"type":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]},"captchaId":{"type":"string"},"captchaToken":{"type":"string"}}},"Bcass_Staff_Master_Request_Body":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"staffname":{"type":"string"},"designation":{"type":"string"},"zone":{"type":"string"},"state":{"type":"string"},"email":{"type":"string"},"newEmail":{"type":"string"},"mobile":{"type":"string"},"password":{"type":"string"},"alias":{"type":"string"},"division":{"type":"string"},"blockedStatus":{"type":"string"},"isAuditor":{"type":"string","enum":["YES","NO"]},"isAdminForQC":{"type":"string","enum":["YES","NO"]},"isAdminForSecurity":{"type":"string","enum":["YES","NO"]},"isAdminForAuth":{"type":"string","enum":["YES","NO"]},"isAdminForTraining":{"type":"string","enum":["YES","NO"]},"isRO":{"type":"string","enum":["YES","NO"]},"type":{"type":"string"}}},"Admin_LogIn_RequestBody":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"}}},"SecurityProgramTypeRequestBody":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"securityProgram":{"type":"string"},"alias":{"type":"string"},"approvalLevel":{"type":"string"}}},"ChangePasswordRequestBody":{"type":"object","properties":{"currentPassword":{"type":"string"},"newPassword":{"type":"string"}}},"OrganizationRequestBody":{"type":"object","properties":{"entityCategory":{"type":"integer","format":"int64"},"organizationName":{"type":"string"},"organizationAbb":{"type":"string"},"organizationLocation":{"type":"string"},"organizationEmail":{"type":"string"},"organizationAddress":{"type":"string"},"organizationPhoneNo":{"type":"string"},"organizationMobileNo":{"type":"string"},"organizationType":{"type":"string"}}},"OrganizationUserRequestBody":{"type":"object","properties":{"email":{"type":"string"},"name":{"type":"string"},"mobile":{"type":"string"},"phone":{"type":"string"},"password":{"type":"string"},"question":{"type":"integer","format":"int64"},"organizationCode":{"type":"string"},"answer":{"type":"string"}}},"ModuleMaster_RequestBody":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"MappingMaster_RequestBody":{"type":"object","properties":{"bcasStaffId":{"type":"integer","format":"int64"},"moduleMasterId":{"type":"array","items":{"type":"integer","format":"int64"}},"isAuditor":{"type":"string","enum":["YES","NO"]},"isAdminForQC":{"type":"string","enum":["YES","NO"]},"isAdminForSecurity":{"type":"string","enum":["YES","NO"]},"isAdminForAuth":{"type":"string","enum":["YES","NO"]},"isAdminForTraining":{"type":"string","enum":["YES","NO"]},"isAdministrator":{"type":"string","enum":["YES","NO"]}}},"EntityUpdateRequestBody":{"type":"object","properties":{"entityId":{"type":"integer","format":"int64"},"clearanceStatus":{"type":"string","enum":["CLEARED","INPROCESS","OTHER"]},"nameOfCompany":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"country":{"type":"string"},"mobileNo":{"type":"string"},"stdPhone":{"type":"string"},"csoName":{"type":"string"},"newCsoEmail":{"type":"string"},"oldCsoEmail":{"type":"string"},"csoMobileNo":{"type":"string"},"secProgarmApplied":{"type":"string"},"securityprogram":{"type":"string"},"password":{"type":"string"},"username":{"type":"string"},"isApprovedByAdmin":{"type":"string","enum":["TRUE","FALSE","NOTSPECIFIED"]},"finalAppoveRejectStatus":{"type":"string","enum":["NOTSPECIFIED","APPROVED","REJECTED"]},"isFirstTimeLogin":{"type":"string","enum":["TRUE","FALSE","NOTSPECIFIED"]},"airportId":{"type":"integer","format":"int64"},"airportAPDEmail":{"type":"string"}}},"Entity_RequestBody":{"type":"object","properties":{"entityId":{"type":"integer","format":"int64"},"nameOfCompany":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"country":{"type":"string"},"mobileNo":{"type":"string"},"stdPhone":{"type":"string"},"csoName":{"type":"string"},"csoEmail":{"type":"string"},"csoMobileNo":{"type":"string"},"createdByPersonName":{"type":"string"},"password":{"type":"string"},"username":{"type":"string"},"secProgarmApplied":{"type":"string"},"securityprogram":{"type":"string"},"airportName":{"type":"string"},"alias":{"type":"string"},"panNumber":{"type":"string"},"panProof":{"type":"string"}}},"forgetPasswordRequestBody":{"type":"object","properties":{"email":{"type":"string"},"type":{"type":"string","enum":["ENTITY","BCAS_STAFF","SUPPORT","AIRPORT"]},"captchaId":{"type":"string"},"captchaToken":{"type":"string"}}},"PasswordRequestBody":{"type":"object","properties":{"password":{"type":"string"},"captchaId":{"type":"string"},"captchaToken":{"type":"string"}}},"Airport_Master_RequestBody":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"airportName":{"type":"string"},"airportType":{"type":"string"},"airportCategory":{"type":"string"},"airportState":{"type":"string"},"airportCSOName":{"type":"string"},"airportAPDName":{"type":"string"},"airportAPDEmail":{"type":"string"},"airportCSOEmail":{"type":"string"},"oldAirportCSOEmail":{"type":"string"},"airportStatus":{"type":"string"},"airportRO":{"type":"string"},"airportUserName":{"type":"string"},"airportDistrict":{"type":"string"}}},"Airport_RequestBody":{"type":"object","properties":{"airportUserName":{"type":"string"},"airportPassword":{"type":"string"}}},"Admin_RequestBody":{"type":"object","properties":{"username":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}}}}}